Changeset 22


Ignore:
Timestamp:
01/15/06 11:53:48 (18 years ago)
Author:
bas
Message:

EmailtoTracScript?:

Email2trac:

  • Deleted delete_spam.py, email2trac.py
  • Added delete_spam.py.in, email2trac.py.in
  • Added configure options for mta_user and trac_user
  • Check C-compiler
Location:
emailtotracscript/trunk
Files:
2 added
2 deleted
3 edited

Legend:

Unmodified
Added
Removed
  • emailtotracscript/trunk/Makefile.in

    r21 r22  
    88# defaullt values are:
    99#
    10 # MTA_USER "nobody"
    11 # TRAC_USER "www-data"
    12 # TRAC_SCRIPT_NAME "email2trac"
    1310#
    1411PREFIX=@prefix@
     
    1613PYTHON_BIN=@PYTHON@
    1714
    18 CC=gcc
     15# User names
     16#
     17TRAC_USER=@trac_user@
     18MTA_USER=@mta_user@
     19
     20CC=@CC@
    1921DEBUG=0
    2022CFLAGS=-DMTA_USER=\"$(MTA_USER)\" -DTRAC_USER=\"$(TRAC_USER)\" -DTRAC_SCRIPT_NAME=\"$(TRAC_SCRIPT_NAME)\" -DTRAC_SCRIPT_PATH=\"$(INSTALL_BIN)\" -DDEBUG=$(DEBUG)
     
    3234        for script in $(PYTHON_FILES) ; \
    3335        do \
    34           name=`basename email2trac.py '.py'`
    35           sed -e "s%^\#\!/usr/bin/python%\#\!$(PYTHON_BIN)%" $$script > $(INSTALL_BIN)/$$name ; \
    36           chmod a+x $(INSTALL_BIN)/$$name ; \
     36          name=`basename $$script '.py'` ; \
     37          install --mode=755 --owner=root $$script  $(INSTALL_BIN)/$$name
    3738        done
    3839
    3940clean:
    40         rm run_email2trac
     41        rm run_email2trac 
  • emailtotracscript/trunk/configure

    r21 r22  
    273273
    274274ac_unique_file="email2trac.py"
    275 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS pyexecdir PYTHON PYTHON_VERSION PYTHON_PREFIX PYTHON_EXEC_PREFIX PYTHON_PLATFORM pythondir pkgpythondir pkgpyexecdir LIBOBJS LTLIBOBJS'
     275ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS pyexecdir trac_user mta_user PYTHON PYTHON_VERSION PYTHON_PREFIX PYTHON_EXEC_PREFIX PYTHON_PLATFORM pythondir pkgpythondir pkgpyexecdir CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP EGREP LIBOBJS LTLIBOBJS'
    276276ac_subst_files=''
    277277
     
    714714ac_cv_env_target_alias_set=${target_alias+set}
    715715ac_cv_env_target_alias_value=$target_alias
     716ac_env_CC_set=${CC+set}
     717ac_env_CC_value=$CC
     718ac_cv_env_CC_set=${CC+set}
     719ac_cv_env_CC_value=$CC
     720ac_env_CFLAGS_set=${CFLAGS+set}
     721ac_env_CFLAGS_value=$CFLAGS
     722ac_cv_env_CFLAGS_set=${CFLAGS+set}
     723ac_cv_env_CFLAGS_value=$CFLAGS
     724ac_env_LDFLAGS_set=${LDFLAGS+set}
     725ac_env_LDFLAGS_value=$LDFLAGS
     726ac_cv_env_LDFLAGS_set=${LDFLAGS+set}
     727ac_cv_env_LDFLAGS_value=$LDFLAGS
     728ac_env_CPPFLAGS_set=${CPPFLAGS+set}
     729ac_env_CPPFLAGS_value=$CPPFLAGS
     730ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
     731ac_cv_env_CPPFLAGS_value=$CPPFLAGS
     732ac_env_CPP_set=${CPP+set}
     733ac_env_CPP_value=$CPP
     734ac_cv_env_CPP_set=${CPP+set}
     735ac_cv_env_CPP_value=$CPP
    716736
    717737#
     
    780800
    781801  cat <<\_ACEOF
     802
     803Optional Packages:
     804  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
     805  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
     806
     807  --with-trac_user=USER    Specify the name of the user that trac use,
     808                          default=www-data
     809
     810  --with-mta_user=USER    Specify the name of the user that your MTA use,
     811                          default=nobody
     812
     813Some influential environment variables:
     814  CC          C compiler command
     815  CFLAGS      C compiler flags
     816  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
     817              nonstandard directory <lib dir>
     818  CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
     819              headers in a nonstandard directory <include dir>
     820  CPP         C preprocessor
     821
     822Use these variables to override the choices made by `configure' or to help
     823it to find libraries and programs with nonstandard names/locations.
    782824
    783825_ACEOF
     
    12241266
    12251267
     1268
     1269
    12261270        # Find any Python interpreter.
    12271271    for ac_prog in python python2 python2.3 python2.2 python2.1 python2.0 python1.6 python1.5
     
    13401384
    13411385
    1342 
    1343           ac_config_files="$ac_config_files Makefile"
     1386ac_ext=c
     1387ac_cpp='$CPP $CPPFLAGS'
     1388ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     1389ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     1390ac_compiler_gnu=$ac_cv_c_compiler_gnu
     1391if test -n "$ac_tool_prefix"; then
     1392  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
     1393set dummy ${ac_tool_prefix}gcc; ac_word=$2
     1394echo "$as_me:$LINENO: checking for $ac_word" >&5
     1395echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1396if test "${ac_cv_prog_CC+set}" = set; then
     1397  echo $ECHO_N "(cached) $ECHO_C" >&6
     1398else
     1399  if test -n "$CC"; then
     1400  ac_cv_prog_CC="$CC" # Let the user override the test.
     1401else
     1402as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1403for as_dir in $PATH
     1404do
     1405  IFS=$as_save_IFS
     1406  test -z "$as_dir" && as_dir=.
     1407  for ac_exec_ext in '' $ac_executable_extensions; do
     1408  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1409    ac_cv_prog_CC="${ac_tool_prefix}gcc"
     1410    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1411    break 2
     1412  fi
     1413done
     1414done
     1415
     1416fi
     1417fi
     1418CC=$ac_cv_prog_CC
     1419if test -n "$CC"; then
     1420  echo "$as_me:$LINENO: result: $CC" >&5
     1421echo "${ECHO_T}$CC" >&6
     1422else
     1423  echo "$as_me:$LINENO: result: no" >&5
     1424echo "${ECHO_T}no" >&6
     1425fi
     1426
     1427fi
     1428if test -z "$ac_cv_prog_CC"; then
     1429  ac_ct_CC=$CC
     1430  # Extract the first word of "gcc", so it can be a program name with args.
     1431set dummy gcc; ac_word=$2
     1432echo "$as_me:$LINENO: checking for $ac_word" >&5
     1433echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1434if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
     1435  echo $ECHO_N "(cached) $ECHO_C" >&6
     1436else
     1437  if test -n "$ac_ct_CC"; then
     1438  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
     1439else
     1440as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1441for as_dir in $PATH
     1442do
     1443  IFS=$as_save_IFS
     1444  test -z "$as_dir" && as_dir=.
     1445  for ac_exec_ext in '' $ac_executable_extensions; do
     1446  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1447    ac_cv_prog_ac_ct_CC="gcc"
     1448    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1449    break 2
     1450  fi
     1451done
     1452done
     1453
     1454fi
     1455fi
     1456ac_ct_CC=$ac_cv_prog_ac_ct_CC
     1457if test -n "$ac_ct_CC"; then
     1458  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
     1459echo "${ECHO_T}$ac_ct_CC" >&6
     1460else
     1461  echo "$as_me:$LINENO: result: no" >&5
     1462echo "${ECHO_T}no" >&6
     1463fi
     1464
     1465  CC=$ac_ct_CC
     1466else
     1467  CC="$ac_cv_prog_CC"
     1468fi
     1469
     1470if test -z "$CC"; then
     1471  if test -n "$ac_tool_prefix"; then
     1472  # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
     1473set dummy ${ac_tool_prefix}cc; ac_word=$2
     1474echo "$as_me:$LINENO: checking for $ac_word" >&5
     1475echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1476if test "${ac_cv_prog_CC+set}" = set; then
     1477  echo $ECHO_N "(cached) $ECHO_C" >&6
     1478else
     1479  if test -n "$CC"; then
     1480  ac_cv_prog_CC="$CC" # Let the user override the test.
     1481else
     1482as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1483for as_dir in $PATH
     1484do
     1485  IFS=$as_save_IFS
     1486  test -z "$as_dir" && as_dir=.
     1487  for ac_exec_ext in '' $ac_executable_extensions; do
     1488  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1489    ac_cv_prog_CC="${ac_tool_prefix}cc"
     1490    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1491    break 2
     1492  fi
     1493done
     1494done
     1495
     1496fi
     1497fi
     1498CC=$ac_cv_prog_CC
     1499if test -n "$CC"; then
     1500  echo "$as_me:$LINENO: result: $CC" >&5
     1501echo "${ECHO_T}$CC" >&6
     1502else
     1503  echo "$as_me:$LINENO: result: no" >&5
     1504echo "${ECHO_T}no" >&6
     1505fi
     1506
     1507fi
     1508if test -z "$ac_cv_prog_CC"; then
     1509  ac_ct_CC=$CC
     1510  # Extract the first word of "cc", so it can be a program name with args.
     1511set dummy cc; ac_word=$2
     1512echo "$as_me:$LINENO: checking for $ac_word" >&5
     1513echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1514if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
     1515  echo $ECHO_N "(cached) $ECHO_C" >&6
     1516else
     1517  if test -n "$ac_ct_CC"; then
     1518  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
     1519else
     1520as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1521for as_dir in $PATH
     1522do
     1523  IFS=$as_save_IFS
     1524  test -z "$as_dir" && as_dir=.
     1525  for ac_exec_ext in '' $ac_executable_extensions; do
     1526  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1527    ac_cv_prog_ac_ct_CC="cc"
     1528    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1529    break 2
     1530  fi
     1531done
     1532done
     1533
     1534fi
     1535fi
     1536ac_ct_CC=$ac_cv_prog_ac_ct_CC
     1537if test -n "$ac_ct_CC"; then
     1538  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
     1539echo "${ECHO_T}$ac_ct_CC" >&6
     1540else
     1541  echo "$as_me:$LINENO: result: no" >&5
     1542echo "${ECHO_T}no" >&6
     1543fi
     1544
     1545  CC=$ac_ct_CC
     1546else
     1547  CC="$ac_cv_prog_CC"
     1548fi
     1549
     1550fi
     1551if test -z "$CC"; then
     1552  # Extract the first word of "cc", so it can be a program name with args.
     1553set dummy cc; ac_word=$2
     1554echo "$as_me:$LINENO: checking for $ac_word" >&5
     1555echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1556if test "${ac_cv_prog_CC+set}" = set; then
     1557  echo $ECHO_N "(cached) $ECHO_C" >&6
     1558else
     1559  if test -n "$CC"; then
     1560  ac_cv_prog_CC="$CC" # Let the user override the test.
     1561else
     1562  ac_prog_rejected=no
     1563as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1564for as_dir in $PATH
     1565do
     1566  IFS=$as_save_IFS
     1567  test -z "$as_dir" && as_dir=.
     1568  for ac_exec_ext in '' $ac_executable_extensions; do
     1569  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1570    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
     1571       ac_prog_rejected=yes
     1572       continue
     1573     fi
     1574    ac_cv_prog_CC="cc"
     1575    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1576    break 2
     1577  fi
     1578done
     1579done
     1580
     1581if test $ac_prog_rejected = yes; then
     1582  # We found a bogon in the path, so make sure we never use it.
     1583  set dummy $ac_cv_prog_CC
     1584  shift
     1585  if test $# != 0; then
     1586    # We chose a different compiler from the bogus one.
     1587    # However, it has the same basename, so the bogon will be chosen
     1588    # first if we set CC to just the basename; use the full file name.
     1589    shift
     1590    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
     1591  fi
     1592fi
     1593fi
     1594fi
     1595CC=$ac_cv_prog_CC
     1596if test -n "$CC"; then
     1597  echo "$as_me:$LINENO: result: $CC" >&5
     1598echo "${ECHO_T}$CC" >&6
     1599else
     1600  echo "$as_me:$LINENO: result: no" >&5
     1601echo "${ECHO_T}no" >&6
     1602fi
     1603
     1604fi
     1605if test -z "$CC"; then
     1606  if test -n "$ac_tool_prefix"; then
     1607  for ac_prog in cl
     1608  do
     1609    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
     1610set dummy $ac_tool_prefix$ac_prog; ac_word=$2
     1611echo "$as_me:$LINENO: checking for $ac_word" >&5
     1612echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1613if test "${ac_cv_prog_CC+set}" = set; then
     1614  echo $ECHO_N "(cached) $ECHO_C" >&6
     1615else
     1616  if test -n "$CC"; then
     1617  ac_cv_prog_CC="$CC" # Let the user override the test.
     1618else
     1619as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1620for as_dir in $PATH
     1621do
     1622  IFS=$as_save_IFS
     1623  test -z "$as_dir" && as_dir=.
     1624  for ac_exec_ext in '' $ac_executable_extensions; do
     1625  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1626    ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
     1627    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1628    break 2
     1629  fi
     1630done
     1631done
     1632
     1633fi
     1634fi
     1635CC=$ac_cv_prog_CC
     1636if test -n "$CC"; then
     1637  echo "$as_me:$LINENO: result: $CC" >&5
     1638echo "${ECHO_T}$CC" >&6
     1639else
     1640  echo "$as_me:$LINENO: result: no" >&5
     1641echo "${ECHO_T}no" >&6
     1642fi
     1643
     1644    test -n "$CC" && break
     1645  done
     1646fi
     1647if test -z "$CC"; then
     1648  ac_ct_CC=$CC
     1649  for ac_prog in cl
     1650do
     1651  # Extract the first word of "$ac_prog", so it can be a program name with args.
     1652set dummy $ac_prog; ac_word=$2
     1653echo "$as_me:$LINENO: checking for $ac_word" >&5
     1654echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
     1655if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
     1656  echo $ECHO_N "(cached) $ECHO_C" >&6
     1657else
     1658  if test -n "$ac_ct_CC"; then
     1659  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
     1660else
     1661as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     1662for as_dir in $PATH
     1663do
     1664  IFS=$as_save_IFS
     1665  test -z "$as_dir" && as_dir=.
     1666  for ac_exec_ext in '' $ac_executable_extensions; do
     1667  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
     1668    ac_cv_prog_ac_ct_CC="$ac_prog"
     1669    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     1670    break 2
     1671  fi
     1672done
     1673done
     1674
     1675fi
     1676fi
     1677ac_ct_CC=$ac_cv_prog_ac_ct_CC
     1678if test -n "$ac_ct_CC"; then
     1679  echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
     1680echo "${ECHO_T}$ac_ct_CC" >&6
     1681else
     1682  echo "$as_me:$LINENO: result: no" >&5
     1683echo "${ECHO_T}no" >&6
     1684fi
     1685
     1686  test -n "$ac_ct_CC" && break
     1687done
     1688
     1689  CC=$ac_ct_CC
     1690fi
     1691
     1692fi
     1693
     1694
     1695test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
     1696See \`config.log' for more details." >&5
     1697echo "$as_me: error: no acceptable C compiler found in \$PATH
     1698See \`config.log' for more details." >&2;}
     1699   { (exit 1); exit 1; }; }
     1700
     1701# Provide some information about the compiler.
     1702echo "$as_me:$LINENO:" \
     1703     "checking for C compiler version" >&5
     1704ac_compiler=`set X $ac_compile; echo $2`
     1705{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
     1706  (eval $ac_compiler --version </dev/null >&5) 2>&5
     1707  ac_status=$?
     1708  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1709  (exit $ac_status); }
     1710{ (eval echo "$as_me:$LINENO: \"$ac_compiler -v </dev/null >&5\"") >&5
     1711  (eval $ac_compiler -v </dev/null >&5) 2>&5
     1712  ac_status=$?
     1713  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1714  (exit $ac_status); }
     1715{ (eval echo "$as_me:$LINENO: \"$ac_compiler -V </dev/null >&5\"") >&5
     1716  (eval $ac_compiler -V </dev/null >&5) 2>&5
     1717  ac_status=$?
     1718  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1719  (exit $ac_status); }
     1720
     1721cat >conftest.$ac_ext <<_ACEOF
     1722/* confdefs.h.  */
     1723_ACEOF
     1724cat confdefs.h >>conftest.$ac_ext
     1725cat >>conftest.$ac_ext <<_ACEOF
     1726/* end confdefs.h.  */
     1727
     1728int
     1729main ()
     1730{
     1731
     1732  ;
     1733  return 0;
     1734}
     1735_ACEOF
     1736ac_clean_files_save=$ac_clean_files
     1737ac_clean_files="$ac_clean_files a.out a.exe b.out"
     1738# Try to create an executable without -o first, disregard a.out.
     1739# It will help us diagnose broken compilers, and finding out an intuition
     1740# of exeext.
     1741echo "$as_me:$LINENO: checking for C compiler default output file name" >&5
     1742echo $ECHO_N "checking for C compiler default output file name... $ECHO_C" >&6
     1743ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
     1744if { (eval echo "$as_me:$LINENO: \"$ac_link_default\"") >&5
     1745  (eval $ac_link_default) 2>&5
     1746  ac_status=$?
     1747  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1748  (exit $ac_status); }; then
     1749  # Find the output, starting from the most likely.  This scheme is
     1750# not robust to junk in `.', hence go to wildcards (a.*) only as a last
     1751# resort.
     1752
     1753# Be careful to initialize this variable, since it used to be cached.
     1754# Otherwise an old cache value of `no' led to `EXEEXT = no' in a Makefile.
     1755ac_cv_exeext=
     1756# b.out is created by i960 compilers.
     1757for ac_file in a_out.exe a.exe conftest.exe a.out conftest a.* conftest.* b.out
     1758do
     1759  test -f "$ac_file" || continue
     1760  case $ac_file in
     1761    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj )
     1762        ;;
     1763    conftest.$ac_ext )
     1764        # This is the source file.
     1765        ;;
     1766    [ab].out )
     1767        # We found the default executable, but exeext='' is most
     1768        # certainly right.
     1769        break;;
     1770    *.* )
     1771        ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
     1772        # FIXME: I believe we export ac_cv_exeext for Libtool,
     1773        # but it would be cool to find out if it's true.  Does anybody
     1774        # maintain Libtool? --akim.
     1775        export ac_cv_exeext
     1776        break;;
     1777    * )
     1778        break;;
     1779  esac
     1780done
     1781else
     1782  echo "$as_me: failed program was:" >&5
     1783sed 's/^/| /' conftest.$ac_ext >&5
     1784
     1785{ { echo "$as_me:$LINENO: error: C compiler cannot create executables
     1786See \`config.log' for more details." >&5
     1787echo "$as_me: error: C compiler cannot create executables
     1788See \`config.log' for more details." >&2;}
     1789   { (exit 77); exit 77; }; }
     1790fi
     1791
     1792ac_exeext=$ac_cv_exeext
     1793echo "$as_me:$LINENO: result: $ac_file" >&5
     1794echo "${ECHO_T}$ac_file" >&6
     1795
     1796# Check the compiler produces executables we can run.  If not, either
     1797# the compiler is broken, or we cross compile.
     1798echo "$as_me:$LINENO: checking whether the C compiler works" >&5
     1799echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
     1800# FIXME: These cross compiler hacks should be removed for Autoconf 3.0
     1801# If not cross compiling, check that we can run a simple program.
     1802if test "$cross_compiling" != yes; then
     1803  if { ac_try='./$ac_file'
     1804  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     1805  (eval $ac_try) 2>&5
     1806  ac_status=$?
     1807  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1808  (exit $ac_status); }; }; then
     1809    cross_compiling=no
     1810  else
     1811    if test "$cross_compiling" = maybe; then
     1812        cross_compiling=yes
     1813    else
     1814        { { echo "$as_me:$LINENO: error: cannot run C compiled programs.
     1815If you meant to cross compile, use \`--host'.
     1816See \`config.log' for more details." >&5
     1817echo "$as_me: error: cannot run C compiled programs.
     1818If you meant to cross compile, use \`--host'.
     1819See \`config.log' for more details." >&2;}
     1820   { (exit 1); exit 1; }; }
     1821    fi
     1822  fi
     1823fi
     1824echo "$as_me:$LINENO: result: yes" >&5
     1825echo "${ECHO_T}yes" >&6
     1826
     1827rm -f a.out a.exe conftest$ac_cv_exeext b.out
     1828ac_clean_files=$ac_clean_files_save
     1829# Check the compiler produces executables we can run.  If not, either
     1830# the compiler is broken, or we cross compile.
     1831echo "$as_me:$LINENO: checking whether we are cross compiling" >&5
     1832echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
     1833echo "$as_me:$LINENO: result: $cross_compiling" >&5
     1834echo "${ECHO_T}$cross_compiling" >&6
     1835
     1836echo "$as_me:$LINENO: checking for suffix of executables" >&5
     1837echo $ECHO_N "checking for suffix of executables... $ECHO_C" >&6
     1838if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     1839  (eval $ac_link) 2>&5
     1840  ac_status=$?
     1841  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1842  (exit $ac_status); }; then
     1843  # If both `conftest.exe' and `conftest' are `present' (well, observable)
     1844# catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
     1845# work properly (i.e., refer to `conftest.exe'), while it won't with
     1846# `rm'.
     1847for ac_file in conftest.exe conftest conftest.*; do
     1848  test -f "$ac_file" || continue
     1849  case $ac_file in
     1850    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj ) ;;
     1851    *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
     1852          export ac_cv_exeext
     1853          break;;
     1854    * ) break;;
     1855  esac
     1856done
     1857else
     1858  { { echo "$as_me:$LINENO: error: cannot compute suffix of executables: cannot compile and link
     1859See \`config.log' for more details." >&5
     1860echo "$as_me: error: cannot compute suffix of executables: cannot compile and link
     1861See \`config.log' for more details." >&2;}
     1862   { (exit 1); exit 1; }; }
     1863fi
     1864
     1865rm -f conftest$ac_cv_exeext
     1866echo "$as_me:$LINENO: result: $ac_cv_exeext" >&5
     1867echo "${ECHO_T}$ac_cv_exeext" >&6
     1868
     1869rm -f conftest.$ac_ext
     1870EXEEXT=$ac_cv_exeext
     1871ac_exeext=$EXEEXT
     1872echo "$as_me:$LINENO: checking for suffix of object files" >&5
     1873echo $ECHO_N "checking for suffix of object files... $ECHO_C" >&6
     1874if test "${ac_cv_objext+set}" = set; then
     1875  echo $ECHO_N "(cached) $ECHO_C" >&6
     1876else
     1877  cat >conftest.$ac_ext <<_ACEOF
     1878/* confdefs.h.  */
     1879_ACEOF
     1880cat confdefs.h >>conftest.$ac_ext
     1881cat >>conftest.$ac_ext <<_ACEOF
     1882/* end confdefs.h.  */
     1883
     1884int
     1885main ()
     1886{
     1887
     1888  ;
     1889  return 0;
     1890}
     1891_ACEOF
     1892rm -f conftest.o conftest.obj
     1893if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     1894  (eval $ac_compile) 2>&5
     1895  ac_status=$?
     1896  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1897  (exit $ac_status); }; then
     1898  for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
     1899  case $ac_file in
     1900    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg ) ;;
     1901    *) ac_cv_objext=`expr "$ac_file" : '.*\.\(.*\)'`
     1902       break;;
     1903  esac
     1904done
     1905else
     1906  echo "$as_me: failed program was:" >&5
     1907sed 's/^/| /' conftest.$ac_ext >&5
     1908
     1909{ { echo "$as_me:$LINENO: error: cannot compute suffix of object files: cannot compile
     1910See \`config.log' for more details." >&5
     1911echo "$as_me: error: cannot compute suffix of object files: cannot compile
     1912See \`config.log' for more details." >&2;}
     1913   { (exit 1); exit 1; }; }
     1914fi
     1915
     1916rm -f conftest.$ac_cv_objext conftest.$ac_ext
     1917fi
     1918echo "$as_me:$LINENO: result: $ac_cv_objext" >&5
     1919echo "${ECHO_T}$ac_cv_objext" >&6
     1920OBJEXT=$ac_cv_objext
     1921ac_objext=$OBJEXT
     1922echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5
     1923echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
     1924if test "${ac_cv_c_compiler_gnu+set}" = set; then
     1925  echo $ECHO_N "(cached) $ECHO_C" >&6
     1926else
     1927  cat >conftest.$ac_ext <<_ACEOF
     1928/* confdefs.h.  */
     1929_ACEOF
     1930cat confdefs.h >>conftest.$ac_ext
     1931cat >>conftest.$ac_ext <<_ACEOF
     1932/* end confdefs.h.  */
     1933
     1934int
     1935main ()
     1936{
     1937#ifndef __GNUC__
     1938       choke me
     1939#endif
     1940
     1941  ;
     1942  return 0;
     1943}
     1944_ACEOF
     1945rm -f conftest.$ac_objext
     1946if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     1947  (eval $ac_compile) 2>conftest.er1
     1948  ac_status=$?
     1949  grep -v '^ *+' conftest.er1 >conftest.err
     1950  rm -f conftest.er1
     1951  cat conftest.err >&5
     1952  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1953  (exit $ac_status); } &&
     1954         { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     1955  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     1956  (eval $ac_try) 2>&5
     1957  ac_status=$?
     1958  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1959  (exit $ac_status); }; } &&
     1960         { ac_try='test -s conftest.$ac_objext'
     1961  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     1962  (eval $ac_try) 2>&5
     1963  ac_status=$?
     1964  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     1965  (exit $ac_status); }; }; then
     1966  ac_compiler_gnu=yes
     1967else
     1968  echo "$as_me: failed program was:" >&5
     1969sed 's/^/| /' conftest.$ac_ext >&5
     1970
     1971ac_compiler_gnu=no
     1972fi
     1973rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     1974ac_cv_c_compiler_gnu=$ac_compiler_gnu
     1975
     1976fi
     1977echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5
     1978echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
     1979GCC=`test $ac_compiler_gnu = yes && echo yes`
     1980ac_test_CFLAGS=${CFLAGS+set}
     1981ac_save_CFLAGS=$CFLAGS
     1982CFLAGS="-g"
     1983echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
     1984echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
     1985if test "${ac_cv_prog_cc_g+set}" = set; then
     1986  echo $ECHO_N "(cached) $ECHO_C" >&6
     1987else
     1988  cat >conftest.$ac_ext <<_ACEOF
     1989/* confdefs.h.  */
     1990_ACEOF
     1991cat confdefs.h >>conftest.$ac_ext
     1992cat >>conftest.$ac_ext <<_ACEOF
     1993/* end confdefs.h.  */
     1994
     1995int
     1996main ()
     1997{
     1998
     1999  ;
     2000  return 0;
     2001}
     2002_ACEOF
     2003rm -f conftest.$ac_objext
     2004if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     2005  (eval $ac_compile) 2>conftest.er1
     2006  ac_status=$?
     2007  grep -v '^ *+' conftest.er1 >conftest.err
     2008  rm -f conftest.er1
     2009  cat conftest.err >&5
     2010  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2011  (exit $ac_status); } &&
     2012         { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2013  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2014  (eval $ac_try) 2>&5
     2015  ac_status=$?
     2016  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2017  (exit $ac_status); }; } &&
     2018         { ac_try='test -s conftest.$ac_objext'
     2019  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2020  (eval $ac_try) 2>&5
     2021  ac_status=$?
     2022  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2023  (exit $ac_status); }; }; then
     2024  ac_cv_prog_cc_g=yes
     2025else
     2026  echo "$as_me: failed program was:" >&5
     2027sed 's/^/| /' conftest.$ac_ext >&5
     2028
     2029ac_cv_prog_cc_g=no
     2030fi
     2031rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     2032fi
     2033echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
     2034echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
     2035if test "$ac_test_CFLAGS" = set; then
     2036  CFLAGS=$ac_save_CFLAGS
     2037elif test $ac_cv_prog_cc_g = yes; then
     2038  if test "$GCC" = yes; then
     2039    CFLAGS="-g -O2"
     2040  else
     2041    CFLAGS="-g"
     2042  fi
     2043else
     2044  if test "$GCC" = yes; then
     2045    CFLAGS="-O2"
     2046  else
     2047    CFLAGS=
     2048  fi
     2049fi
     2050echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5
     2051echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
     2052if test "${ac_cv_prog_cc_stdc+set}" = set; then
     2053  echo $ECHO_N "(cached) $ECHO_C" >&6
     2054else
     2055  ac_cv_prog_cc_stdc=no
     2056ac_save_CC=$CC
     2057cat >conftest.$ac_ext <<_ACEOF
     2058/* confdefs.h.  */
     2059_ACEOF
     2060cat confdefs.h >>conftest.$ac_ext
     2061cat >>conftest.$ac_ext <<_ACEOF
     2062/* end confdefs.h.  */
     2063#include <stdarg.h>
     2064#include <stdio.h>
     2065#include <sys/types.h>
     2066#include <sys/stat.h>
     2067/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
     2068struct buf { int x; };
     2069FILE * (*rcsopen) (struct buf *, struct stat *, int);
     2070static char *e (p, i)
     2071     char **p;
     2072     int i;
     2073{
     2074  return p[i];
     2075}
     2076static char *f (char * (*g) (char **, int), char **p, ...)
     2077{
     2078  char *s;
     2079  va_list v;
     2080  va_start (v,p);
     2081  s = g (p, va_arg (v,int));
     2082  va_end (v);
     2083  return s;
     2084}
     2085
     2086/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
     2087   function prototypes and stuff, but not '\xHH' hex character constants.
     2088   These don't provoke an error unfortunately, instead are silently treated
     2089   as 'x'.  The following induces an error, until -std1 is added to get
     2090   proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an
     2091   array size at least.  It's necessary to write '\x00'==0 to get something
     2092   that's true only with -std1.  */
     2093int osf4_cc_array ['\x00' == 0 ? 1 : -1];
     2094
     2095int test (int i, double x);
     2096struct s1 {int (*f) (int a);};
     2097struct s2 {int (*f) (double a);};
     2098int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
     2099int argc;
     2100char **argv;
     2101int
     2102main ()
     2103{
     2104return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
     2105  ;
     2106  return 0;
     2107}
     2108_ACEOF
     2109# Don't try gcc -ansi; that turns off useful extensions and
     2110# breaks some systems' header files.
     2111# AIX                   -qlanglvl=ansi
     2112# Ultrix and OSF/1      -std1
     2113# HP-UX 10.20 and later -Ae
     2114# HP-UX older versions  -Aa -D_HPUX_SOURCE
     2115# SVR4                  -Xc -D__EXTENSIONS__
     2116for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
     2117do
     2118  CC="$ac_save_CC $ac_arg"
     2119  rm -f conftest.$ac_objext
     2120if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     2121  (eval $ac_compile) 2>conftest.er1
     2122  ac_status=$?
     2123  grep -v '^ *+' conftest.er1 >conftest.err
     2124  rm -f conftest.er1
     2125  cat conftest.err >&5
     2126  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2127  (exit $ac_status); } &&
     2128         { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2129  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2130  (eval $ac_try) 2>&5
     2131  ac_status=$?
     2132  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2133  (exit $ac_status); }; } &&
     2134         { ac_try='test -s conftest.$ac_objext'
     2135  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2136  (eval $ac_try) 2>&5
     2137  ac_status=$?
     2138  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2139  (exit $ac_status); }; }; then
     2140  ac_cv_prog_cc_stdc=$ac_arg
     2141break
     2142else
     2143  echo "$as_me: failed program was:" >&5
     2144sed 's/^/| /' conftest.$ac_ext >&5
     2145
     2146fi
     2147rm -f conftest.err conftest.$ac_objext
     2148done
     2149rm -f conftest.$ac_ext conftest.$ac_objext
     2150CC=$ac_save_CC
     2151
     2152fi
     2153
     2154case "x$ac_cv_prog_cc_stdc" in
     2155  x|xno)
     2156    echo "$as_me:$LINENO: result: none needed" >&5
     2157echo "${ECHO_T}none needed" >&6 ;;
     2158  *)
     2159    echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
     2160echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
     2161    CC="$CC $ac_cv_prog_cc_stdc" ;;
     2162esac
     2163
     2164# Some people use a C++ compiler to compile C.  Since we use `exit',
     2165# in C++ we need to declare it.  In case someone uses the same compiler
     2166# for both compiling C and C++ we need to have the C++ compiler decide
     2167# the declaration of exit, since it's the most demanding environment.
     2168cat >conftest.$ac_ext <<_ACEOF
     2169#ifndef __cplusplus
     2170  choke me
     2171#endif
     2172_ACEOF
     2173rm -f conftest.$ac_objext
     2174if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     2175  (eval $ac_compile) 2>conftest.er1
     2176  ac_status=$?
     2177  grep -v '^ *+' conftest.er1 >conftest.err
     2178  rm -f conftest.er1
     2179  cat conftest.err >&5
     2180  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2181  (exit $ac_status); } &&
     2182         { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2183  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2184  (eval $ac_try) 2>&5
     2185  ac_status=$?
     2186  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2187  (exit $ac_status); }; } &&
     2188         { ac_try='test -s conftest.$ac_objext'
     2189  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2190  (eval $ac_try) 2>&5
     2191  ac_status=$?
     2192  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2193  (exit $ac_status); }; }; then
     2194  for ac_declaration in \
     2195   '' \
     2196   'extern "C" void std::exit (int) throw (); using std::exit;' \
     2197   'extern "C" void std::exit (int); using std::exit;' \
     2198   'extern "C" void exit (int) throw ();' \
     2199   'extern "C" void exit (int);' \
     2200   'void exit (int);'
     2201do
     2202  cat >conftest.$ac_ext <<_ACEOF
     2203/* confdefs.h.  */
     2204_ACEOF
     2205cat confdefs.h >>conftest.$ac_ext
     2206cat >>conftest.$ac_ext <<_ACEOF
     2207/* end confdefs.h.  */
     2208$ac_declaration
     2209#include <stdlib.h>
     2210int
     2211main ()
     2212{
     2213exit (42);
     2214  ;
     2215  return 0;
     2216}
     2217_ACEOF
     2218rm -f conftest.$ac_objext
     2219if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     2220  (eval $ac_compile) 2>conftest.er1
     2221  ac_status=$?
     2222  grep -v '^ *+' conftest.er1 >conftest.err
     2223  rm -f conftest.er1
     2224  cat conftest.err >&5
     2225  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2226  (exit $ac_status); } &&
     2227         { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2228  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2229  (eval $ac_try) 2>&5
     2230  ac_status=$?
     2231  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2232  (exit $ac_status); }; } &&
     2233         { ac_try='test -s conftest.$ac_objext'
     2234  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2235  (eval $ac_try) 2>&5
     2236  ac_status=$?
     2237  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2238  (exit $ac_status); }; }; then
     2239  :
     2240else
     2241  echo "$as_me: failed program was:" >&5
     2242sed 's/^/| /' conftest.$ac_ext >&5
     2243
     2244continue
     2245fi
     2246rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     2247  cat >conftest.$ac_ext <<_ACEOF
     2248/* confdefs.h.  */
     2249_ACEOF
     2250cat confdefs.h >>conftest.$ac_ext
     2251cat >>conftest.$ac_ext <<_ACEOF
     2252/* end confdefs.h.  */
     2253$ac_declaration
     2254int
     2255main ()
     2256{
     2257exit (42);
     2258  ;
     2259  return 0;
     2260}
     2261_ACEOF
     2262rm -f conftest.$ac_objext
     2263if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     2264  (eval $ac_compile) 2>conftest.er1
     2265  ac_status=$?
     2266  grep -v '^ *+' conftest.er1 >conftest.err
     2267  rm -f conftest.er1
     2268  cat conftest.err >&5
     2269  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2270  (exit $ac_status); } &&
     2271         { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
     2272  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2273  (eval $ac_try) 2>&5
     2274  ac_status=$?
     2275  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2276  (exit $ac_status); }; } &&
     2277         { ac_try='test -s conftest.$ac_objext'
     2278  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2279  (eval $ac_try) 2>&5
     2280  ac_status=$?
     2281  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2282  (exit $ac_status); }; }; then
     2283  break
     2284else
     2285  echo "$as_me: failed program was:" >&5
     2286sed 's/^/| /' conftest.$ac_ext >&5
     2287
     2288fi
     2289rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     2290done
     2291rm -f conftest*
     2292if test -n "$ac_declaration"; then
     2293  echo '#ifdef __cplusplus' >>confdefs.h
     2294  echo $ac_declaration      >>confdefs.h
     2295  echo '#endif'             >>confdefs.h
     2296fi
     2297
     2298else
     2299  echo "$as_me: failed program was:" >&5
     2300sed 's/^/| /' conftest.$ac_ext >&5
     2301
     2302fi
     2303rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     2304ac_ext=c
     2305ac_cpp='$CPP $CPPFLAGS'
     2306ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     2307ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     2308ac_compiler_gnu=$ac_cv_c_compiler_gnu
     2309
     2310
     2311ac_ext=c
     2312ac_cpp='$CPP $CPPFLAGS'
     2313ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     2314ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     2315ac_compiler_gnu=$ac_cv_c_compiler_gnu
     2316echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
     2317echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
     2318# On Suns, sometimes $CPP names a directory.
     2319if test -n "$CPP" && test -d "$CPP"; then
     2320  CPP=
     2321fi
     2322if test -z "$CPP"; then
     2323  if test "${ac_cv_prog_CPP+set}" = set; then
     2324  echo $ECHO_N "(cached) $ECHO_C" >&6
     2325else
     2326      # Double quotes because CPP needs to be expanded
     2327    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
     2328    do
     2329      ac_preproc_ok=false
     2330for ac_c_preproc_warn_flag in '' yes
     2331do
     2332  # Use a header file that comes with gcc, so configuring glibc
     2333  # with a fresh cross-compiler works.
     2334  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     2335  # <limits.h> exists even on freestanding compilers.
     2336  # On the NeXT, cc -E runs the code through the compiler's parser,
     2337  # not just through cpp. "Syntax error" is here to catch this case.
     2338  cat >conftest.$ac_ext <<_ACEOF
     2339/* confdefs.h.  */
     2340_ACEOF
     2341cat confdefs.h >>conftest.$ac_ext
     2342cat >>conftest.$ac_ext <<_ACEOF
     2343/* end confdefs.h.  */
     2344#ifdef __STDC__
     2345# include <limits.h>
     2346#else
     2347# include <assert.h>
     2348#endif
     2349                     Syntax error
     2350_ACEOF
     2351if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     2352  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     2353  ac_status=$?
     2354  grep -v '^ *+' conftest.er1 >conftest.err
     2355  rm -f conftest.er1
     2356  cat conftest.err >&5
     2357  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2358  (exit $ac_status); } >/dev/null; then
     2359  if test -s conftest.err; then
     2360    ac_cpp_err=$ac_c_preproc_warn_flag
     2361    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     2362  else
     2363    ac_cpp_err=
     2364  fi
     2365else
     2366  ac_cpp_err=yes
     2367fi
     2368if test -z "$ac_cpp_err"; then
     2369  :
     2370else
     2371  echo "$as_me: failed program was:" >&5
     2372sed 's/^/| /' conftest.$ac_ext >&5
     2373
     2374  # Broken: fails on valid input.
     2375continue
     2376fi
     2377rm -f conftest.err conftest.$ac_ext
     2378
     2379  # OK, works on sane cases.  Now check whether non-existent headers
     2380  # can be detected and how.
     2381  cat >conftest.$ac_ext <<_ACEOF
     2382/* confdefs.h.  */
     2383_ACEOF
     2384cat confdefs.h >>conftest.$ac_ext
     2385cat >>conftest.$ac_ext <<_ACEOF
     2386/* end confdefs.h.  */
     2387#include <ac_nonexistent.h>
     2388_ACEOF
     2389if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     2390  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     2391  ac_status=$?
     2392  grep -v '^ *+' conftest.er1 >conftest.err
     2393  rm -f conftest.er1
     2394  cat conftest.err >&5
     2395  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2396  (exit $ac_status); } >/dev/null; then
     2397  if test -s conftest.err; then
     2398    ac_cpp_err=$ac_c_preproc_warn_flag
     2399    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     2400  else
     2401    ac_cpp_err=
     2402  fi
     2403else
     2404  ac_cpp_err=yes
     2405fi
     2406if test -z "$ac_cpp_err"; then
     2407  # Broken: success on invalid input.
     2408continue
     2409else
     2410  echo "$as_me: failed program was:" >&5
     2411sed 's/^/| /' conftest.$ac_ext >&5
     2412
     2413  # Passes both tests.
     2414ac_preproc_ok=:
     2415break
     2416fi
     2417rm -f conftest.err conftest.$ac_ext
     2418
     2419done
     2420# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
     2421rm -f conftest.err conftest.$ac_ext
     2422if $ac_preproc_ok; then
     2423  break
     2424fi
     2425
     2426    done
     2427    ac_cv_prog_CPP=$CPP
     2428
     2429fi
     2430  CPP=$ac_cv_prog_CPP
     2431else
     2432  ac_cv_prog_CPP=$CPP
     2433fi
     2434echo "$as_me:$LINENO: result: $CPP" >&5
     2435echo "${ECHO_T}$CPP" >&6
     2436ac_preproc_ok=false
     2437for ac_c_preproc_warn_flag in '' yes
     2438do
     2439  # Use a header file that comes with gcc, so configuring glibc
     2440  # with a fresh cross-compiler works.
     2441  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
     2442  # <limits.h> exists even on freestanding compilers.
     2443  # On the NeXT, cc -E runs the code through the compiler's parser,
     2444  # not just through cpp. "Syntax error" is here to catch this case.
     2445  cat >conftest.$ac_ext <<_ACEOF
     2446/* confdefs.h.  */
     2447_ACEOF
     2448cat confdefs.h >>conftest.$ac_ext
     2449cat >>conftest.$ac_ext <<_ACEOF
     2450/* end confdefs.h.  */
     2451#ifdef __STDC__
     2452# include <limits.h>
     2453#else
     2454# include <assert.h>
     2455#endif
     2456                     Syntax error
     2457_ACEOF
     2458if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     2459  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     2460  ac_status=$?
     2461  grep -v '^ *+' conftest.er1 >conftest.err
     2462  rm -f conftest.er1
     2463  cat conftest.err >&5
     2464  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2465  (exit $ac_status); } >/dev/null; then
     2466  if test -s conftest.err; then
     2467    ac_cpp_err=$ac_c_preproc_warn_flag
     2468    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     2469  else
     2470    ac_cpp_err=
     2471  fi
     2472else
     2473  ac_cpp_err=yes
     2474fi
     2475if test -z "$ac_cpp_err"; then
     2476  :
     2477else
     2478  echo "$as_me: failed program was:" >&5
     2479sed 's/^/| /' conftest.$ac_ext >&5
     2480
     2481  # Broken: fails on valid input.
     2482continue
     2483fi
     2484rm -f conftest.err conftest.$ac_ext
     2485
     2486  # OK, works on sane cases.  Now check whether non-existent headers
     2487  # can be detected and how.
     2488  cat >conftest.$ac_ext <<_ACEOF
     2489/* confdefs.h.  */
     2490_ACEOF
     2491cat confdefs.h >>conftest.$ac_ext
     2492cat >>conftest.$ac_ext <<_ACEOF
     2493/* end confdefs.h.  */
     2494#include <ac_nonexistent.h>
     2495_ACEOF
     2496if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     2497  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     2498  ac_status=$?
     2499  grep -v '^ *+' conftest.er1 >conftest.err
     2500  rm -f conftest.er1
     2501  cat conftest.err >&5
     2502  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2503  (exit $ac_status); } >/dev/null; then
     2504  if test -s conftest.err; then
     2505    ac_cpp_err=$ac_c_preproc_warn_flag
     2506    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     2507  else
     2508    ac_cpp_err=
     2509  fi
     2510else
     2511  ac_cpp_err=yes
     2512fi
     2513if test -z "$ac_cpp_err"; then
     2514  # Broken: success on invalid input.
     2515continue
     2516else
     2517  echo "$as_me: failed program was:" >&5
     2518sed 's/^/| /' conftest.$ac_ext >&5
     2519
     2520  # Passes both tests.
     2521ac_preproc_ok=:
     2522break
     2523fi
     2524rm -f conftest.err conftest.$ac_ext
     2525
     2526done
     2527# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
     2528rm -f conftest.err conftest.$ac_ext
     2529if $ac_preproc_ok; then
     2530  :
     2531else
     2532  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
     2533See \`config.log' for more details." >&5
     2534echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
     2535See \`config.log' for more details." >&2;}
     2536   { (exit 1); exit 1; }; }
     2537fi
     2538
     2539ac_ext=c
     2540ac_cpp='$CPP $CPPFLAGS'
     2541ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     2542ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     2543ac_compiler_gnu=$ac_cv_c_compiler_gnu
     2544
     2545
     2546echo "$as_me:$LINENO: checking for egrep" >&5
     2547echo $ECHO_N "checking for egrep... $ECHO_C" >&6
     2548if test "${ac_cv_prog_egrep+set}" = set; then
     2549  echo $ECHO_N "(cached) $ECHO_C" >&6
     2550else
     2551  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
     2552    then ac_cv_prog_egrep='grep -E'
     2553    else ac_cv_prog_egrep='egrep'
     2554    fi
     2555fi
     2556echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
     2557echo "${ECHO_T}$ac_cv_prog_egrep" >&6
     2558 EGREP=$ac_cv_prog_egrep
     2559
     2560
     2561if test $ac_cv_c_compiler_gnu = yes; then
     2562    echo "$as_me:$LINENO: checking whether $CC needs -traditional" >&5
     2563echo $ECHO_N "checking whether $CC needs -traditional... $ECHO_C" >&6
     2564if test "${ac_cv_prog_gcc_traditional+set}" = set; then
     2565  echo $ECHO_N "(cached) $ECHO_C" >&6
     2566else
     2567    ac_pattern="Autoconf.*'x'"
     2568  cat >conftest.$ac_ext <<_ACEOF
     2569/* confdefs.h.  */
     2570_ACEOF
     2571cat confdefs.h >>conftest.$ac_ext
     2572cat >>conftest.$ac_ext <<_ACEOF
     2573/* end confdefs.h.  */
     2574#include <sgtty.h>
     2575Autoconf TIOCGETP
     2576_ACEOF
     2577if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     2578  $EGREP "$ac_pattern" >/dev/null 2>&1; then
     2579  ac_cv_prog_gcc_traditional=yes
     2580else
     2581  ac_cv_prog_gcc_traditional=no
     2582fi
     2583rm -f conftest*
     2584
     2585
     2586  if test $ac_cv_prog_gcc_traditional = no; then
     2587    cat >conftest.$ac_ext <<_ACEOF
     2588/* confdefs.h.  */
     2589_ACEOF
     2590cat confdefs.h >>conftest.$ac_ext
     2591cat >>conftest.$ac_ext <<_ACEOF
     2592/* end confdefs.h.  */
     2593#include <termio.h>
     2594Autoconf TCGETA
     2595_ACEOF
     2596if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     2597  $EGREP "$ac_pattern" >/dev/null 2>&1; then
     2598  ac_cv_prog_gcc_traditional=yes
     2599fi
     2600rm -f conftest*
     2601
     2602  fi
     2603fi
     2604echo "$as_me:$LINENO: result: $ac_cv_prog_gcc_traditional" >&5
     2605echo "${ECHO_T}$ac_cv_prog_gcc_traditional" >&6
     2606  if test $ac_cv_prog_gcc_traditional = yes; then
     2607    CC="$CC -traditional"
     2608  fi
     2609fi
     2610
     2611
     2612
     2613
     2614# Check whether --with-trac_user or --without-trac_user was given.
     2615if test "${with_trac_user+set}" = set; then
     2616  withval="$with_trac_user"
     2617  case "${withval}" in
     2618        *) trac_user="${withval}" ;;
     2619  esac
     2620else
     2621  trac_user="www-data"
     2622
     2623fi;
     2624
     2625# Check whether --with-mta_user or --without-mta_user was given.
     2626if test "${with_mta_user+set}" = set; then
     2627  withval="$with_mta_user"
     2628  case "${withval}" in
     2629        *) mta_user="${withval}" ;;
     2630  esac
     2631else
     2632  mta_user="nobody"
     2633
     2634fi;                               ac_config_files="$ac_config_files Makefile email2trac.py delete_spam.py"
    13442635cat >confcache <<\_ACEOF
    13452636# This file is a shell script that caches the results of configure
     
    18933184  # Handling of arguments.
    18943185  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
     3186  "email2trac.py" ) CONFIG_FILES="$CONFIG_FILES email2trac.py" ;;
     3187  "delete_spam.py" ) CONFIG_FILES="$CONFIG_FILES delete_spam.py" ;;
    18953188  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
    18963189echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
     
    19773270s,@LIBS@,$LIBS,;t t
    19783271s,@pyexecdir@,$pyexecdir,;t t
     3272s,@trac_user@,$trac_user,;t t
     3273s,@mta_user@,$mta_user,;t t
    19793274s,@PYTHON@,$PYTHON,;t t
    19803275s,@PYTHON_VERSION@,$PYTHON_VERSION,;t t
     
    19853280s,@pkgpythondir@,$pkgpythondir,;t t
    19863281s,@pkgpyexecdir@,$pkgpyexecdir,;t t
     3282s,@CC@,$CC,;t t
     3283s,@CFLAGS@,$CFLAGS,;t t
     3284s,@LDFLAGS@,$LDFLAGS,;t t
     3285s,@CPPFLAGS@,$CPPFLAGS,;t t
     3286s,@ac_ct_CC@,$ac_ct_CC,;t t
     3287s,@EXEEXT@,$EXEEXT,;t t
     3288s,@OBJEXT@,$OBJEXT,;t t
     3289s,@CPP@,$CPP,;t t
     3290s,@EGREP@,$EGREP,;t t
    19873291s,@LIBOBJS@,$LIBOBJS,;t t
    19883292s,@LTLIBOBJS@,$LTLIBOBJS,;t t
  • emailtotracscript/trunk/configure.in

    r21 r22  
    33AC_SUBST(exec_prefix)
    44AC_SUBST(pyexecdir)
     5AC_SUBST(trac_user)
     6AC_SUBST(mta_user)
    57
    68AM_PATH_PYTHON
     9AC_PROG_GCC_TRADITIONAL
    710
     11
     12AC_ARG_WITH(trac_user,
     13[
     14  --with-trac_user=USER    Specify the name of the user that trac use,
     15                          default=www-data],
     16
     17  [case "${withval}" in
     18        *) trac_user="${withval}" ;;
     19  esac],
     20
     21  [trac_user="www-data"]
     22)dnl           
     23
     24AC_ARG_WITH(mta_user,
     25[
     26  --with-mta_user=USER    Specify the name of the user that your MTA use,
     27                          default=nobody],
     28
     29  [case "${withval}" in
     30        *) mta_user="${withval}" ;;
     31  esac],
     32
     33  [mta_user="nobody"]
     34)dnl           
    835AC_OUTPUT(
    936        Makefile
     37        email2trac.py
     38        delete_spam.py
    1039        )
Note: See TracChangeset for help on using the changeset viewer.